> For the complete documentation index, see [llms.txt](https://docs.lithnet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lithnet.io/google-workspace-ma/readme.md).

# Home

![](http://lithnet.github.io/images/logo-ex-small.png)

## Google Workspace Management Agent for MIM 2016

The Lithnet Google Workspace Management Agent provides support for managing Google Workspace users, groups, shared contacts and other objects with MIM 2016.

### Features

* Supports the import and export of domain shared contact objects
* Supports the import and export of user objects, including attributes from your custom schema
* Supports the import and export of group objects including group settings
* Supports the import and export of resources (calendars, buildings, features)
* Supports the import of domains and aliases (read only)
* Supports the import and export of course objects (Google Classroom)
* High performance import and export through the use of multi-threading and batch updates
* Confirming (delta) import support for all object types

> Note: as most Google APIs do not provide delta support, this MA only confirms what was exported in a delta import. Changes made in Google Workspace directly will not be seen until the next full import operation)

### Add-ons

The following feature add-ons are available for purchase. Simply fill out the [request form](https://lithnet.io/products/mim?utm_source=docs\&utm_medium=crosslink\&utm_campaign=google-ma-ups), let us know the number of users you are managing with your MIM implementation, and we'll arrange a quote or trial license.

* [Import and export of organizational unit objects](/google-workspace-ma/configuration/managing-organizational-units.md)

### System Requirements

The Lithnet Google Workspace MA requires MIM 2016, and .NET Framework 4.7.2.

### Getting started

* [Creating and authorizing a Google Workspace service account](/google-workspace-ma/installation/creating-and-authorizing-a-google-workspace-service-account.md)
* [Installing and configuring the management agent](/google-workspace-ma/installation/installing-and-configuring-the-management-agent.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lithnet.io/google-workspace-ma/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
